#!/bin/bash

# TODO: devine marker string variable
# TODO: show non-compiling projects in logfile
#rm -rf Unpack
mkdir -p Unpack
rm -f ~/results.log

for zip in $( ls *.zip); do
  fbname=$(basename "$zip" .zip)
  echo $fbname
  mkdir Unpack;pushd Unpack
  unzip ../$fbname.zip
  rm -rf RemoteSystemsTempFiles
  nodeCount=`ls|wc -l`
  dirCount=`ls -l|grep ^d|wc -l`

  if [[ 1 = $nodeCount && 1 =  $dirCount ]]; then
      echo "Found exactly one directory component" 
      mv * project
      if [ -f project/pom.xml ]; then
	  echo "found pom.xml"
	  tar zxf ~/goiksolution.tgz
	  mv project/src/main/java/de/hdm_stuttgart/sw1 GoikSolution/src/main/java/de/hdm_stuttgart
	  cd GoikSolution;
	  mvn compile
          reachedPoints=`mvn exec:java -Dexec.mainClass="de.hdm_stuttgart.eval.ShowReachedPoints"|grep Test_Helper`
	  echo "$fbname $reachedPoints" >> ~/results.log
      else 
	  echo "$fbname : No pom.xml found in project" >> ~/results.log
      fi
  else 
      echo "$fbname : Found more than one directory component" >> ~/results.log
  fi
  popd
  rm -rf Unpack
done


#end
